// SampleProgramDlg.h : header file
//

#pragma once
#include "APIControl.h"


#define DIALOG_CAPTION _T("PLQ-22 Sample Program")


// CSampleProgramDlg dialog
class CSampleProgramDlg : public CDialog
{
// Construction
public:
	CSampleProgramDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SAMPLEPROGRAM_DIALOG };

	void SetDeviceStatus(EPBS_UINT32 dwStatusType, EPBS_UINT32 dwStatus);
	

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog(void);
	afx_msg void OnPaint(void);
	afx_msg HCURSOR OnQueryDragIcon(void);
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnBnClickedButtonMicrRead(void);
	afx_msg void OnCbnSelchangeComboFormat(void);
	afx_msg void OnBnClickedButtonMsRead(void);
	afx_msg void OnBnClickedButtonMsWrite(void);
	afx_msg void OnBnClickedButtonMsClear(void);
	afx_msg void OnBnClickedButtonExit(void);

public:
	CAPIControl m_api;

protected:
	void GetDeviceStatus(void);
	void EnableButton(BOOL bEnable);
	void EnableIBMDataType(BOOL bEnable);
	EPBS_UINT32 GetFormat(void);
	bool CheckWriteString(LPCSTR lpcWriteString);
};
