#ifndef __CAPABILITYINTERFACE_H__
#define __CAPABILITYINTERFACE_H__
#include "stdafx.h"
#include "TwainInterface.h"

class CapabilityInterface
{
public:
	CapabilityInterface(TwainInterface *pTwainInterface);
	~CapabilityInterface(void);

	BOOL			GetValue		(TW_UINT16 cap, TW_UINT32 *value);
	BOOL			GetFrame		(TW_UINT16 cap, TW_FRAME *twFrame);
	BOOL			GetCapArray		(TW_UINT16 cap, TW_UINT16 twType,	void *otLis,	TW_UINT32 *listnum);
	BOOL			SetOneValue		(TW_UINT16 cap, TW_UINT16 twType,	const TW_UINT32	*inData);
	BOOL			SetFrame		(TW_UINT16 cap, const TW_FRAME		*inFrame);
	BOOL			SetCapArray		(TW_UINT16 cap, TW_UINT16 twType,	const void		*inList,TW_UINT32 listnum);

private:
	TwainInterface	*m_pTwainInterface;
	
	TW_UINT16		GetTWTypeSize			(TW_UINT16 type);
};

#endif // __TRANSFERMANAGER_H__
